CRMchat APIBeta
Telegram APIAccount

account.updateBusinessWorkHours

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/account.updateBusinessWorkHours

Specify a set of Telegram Business opening hours. This info will be contained in RawUserFull.business_work_hours. To remove all opening hours, invoke the method without setting the business_work_hours field. Note that the opening hours specified by the user must be appropriately validated and transformed before invoking the method, as specified here ».

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Specify a set of Telegram Business opening hours. This info will be contained in RawUserFull.business_work_hours. To remove all opening hours, invoke the method without setting the business_work_hours field. Note that the opening hours specified by the user must be appropriately validated and transformed before invoking the method, as specified here ».

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.updateBusinessWorkHours" \  -H "Content-Type: application/json" \  -d '{    "params": {}  }'
{  "result": true}